#include "mainwindow.h"
#include "ui_mainwindow.h"
#include "qdebug.h"
//#include "QPushButton"

MainWindow::MainWindow(QWidget *parent)
    : QMainWindow(parent)
    , ui(new Ui::MainWindow)
{
    ui->setupUi(this);

    pdf = new QAxWidget(this);

    if(!pdf->setControl("Adobe PDF Reader"))//("Microsoft Web Browser")
        QMessageBox::critical(this, "Error", "Make sure you have Adobe Reader (and its ActiveX) installed!");

   // setCentralWidget(pdf);
    pdf->setGeometry(10,10,500,500);
}

MainWindow::~MainWindow()
{
    delete ui;
}


void MainWindow::on_pushButton_clicked()
{
    pdf->dynamicCall("LoadFile(QString)",
        QDir::toNativeSeparators(QFileDialog::getOpenFileName(this, "Open PDF File", QDir::currentPath(), "PDF Documents (*.pdf)")));
}

void MainWindow::on_pushButton_2_clicked()
{
    pdf->dynamicCall("Print()");
}
